clear all
tic

% force is in kN and displacement in mu m
%%

[C1]=xlsread('NHL_C_a.xls', 'Filtered');
[C2]=xlsread('NHL_C_b.xls', 'Filtered');
[C3]=xlsread('NHL_C_c.xls', 'Filtered');

[C4]=xlsread('NHL_1_a.xls', 'Filtered');
[C5]=xlsread('NHL_1_b.xls', 'Filtered');
[C6]=xlsread('NHL_1_c.xls', 'Filtered');

[C7]=xlsread('NHL_0.1_a.xls', 'Filtered');
[C8]=xlsread('NHL_0.1_b.xls', 'Filtered');
[C9]=xlsread('NHL_0.1_c.xls', 'Filtered');
A=40*40;%mm2
L0=60*1000;% in micrometers

%% Plot

p=figure;

plot(C1(:,11)./L0*100,C1(:,5)*1000/A,'r:', 'linewidth', 1.2);
hold on
plot(C2(:,11)./L0*100,C2(:,5)*1000/A,'r--','linewidth', 1.2);
plot(C3(:,11)./L0*100,C3(:,5)*1000/A,'r','linewidth', 1.2);

plot(C4(:,11)./L0*100,C4(:,5)*1000/A,'g:','linewidth', 1.2);
plot(C5(:,11)./L0*100,C5(:,5)*1000/A,'g--','linewidth', 1.2);
plot(C6(:,11)./L0,C6(:,5)*1000/A,'g','linewidth', 1.2);

plot(C7(:,11)./L0*100,C7(:,5)*1000/A,'b:','linewidth', 1.2);
plot(C8(:,11)./L0*100,C8(:,5)*1000/A,'b--','linewidth', 1.2);
plot(C9(:,11)./L0*100,C9(:,5)*1000/A,'b','linewidth', 1.2);


xlabel(strcat(char(949),' (%)'));
ylabel('\sigma (MPa)');
legend('Control_1','Control_2','Control_3','IN 1%_1','IN 1%_2','IN 1%_3','IN 0.1%_1','IN 0.1%_2','IN 0.1%_3','Location','northwest','NumColumns',2,'FontSize',10);
grid on
set(gca,'FontSize',16)
title('NHL 3.5');
xlim([-0.2,0]);
%saveas(p,'E-modulus_NHL.png');

%%
%Young's modulus
ppp=figure
E1=(C1(:,5)*1000/A)./(C1(:,11)./(L0)); %stress/strain
E2=(C2(:,5)*1000/A)./(C2(:,11)./(L0)); %stress/strain
E3=(C3(:,5)*1000/A)./(C3(:,11)./(L0)); %stress/strain

E4=(C4(:,5)*1000/A)./(C4(:,11)./(L0)); %stress/strain
E5=(C5(:,5)*1000/A)./(C5(:,11)./(L0)); %stress/strain
E6=(C6(:,5)*1000/A)./(C6(:,11)./(L0)); %stress/strain

E7=(C7(:,5)*1000/A)./(C7(:,11)./(L0)); %stress/strain
E8=(C8(:,5)*1000/A)./(C8(:,11)./(L0)); %stress/strain
E9=(C9(:,5)*1000/A)./(C9(:,11)./(L0)); %stress/strain

plot(C1(:,5)*1000, abs(E1));
hold on
plot(C2(:,5),abs(E2));
plot(C3(:,5),abs(E3));
plot(C4(:,5),abs(E4));
plot(C5(:,5),abs(E5));
plot(C6(:,5),abs(E6));
plot(C7(:,5),abs(E7));
plot(C8(:,5),abs(E8));
plot(C9(:,5),abs(E9));

xlim([-3.2,-0.75]);
ylim([0,20000]);
title('NHL E-modulus')
xlabel('Applied force (kN)');
ylabel('E-modulus (MPa)')
set(gca,'FontSize',16)
grid on
%saveas(ppp,'NHL_E-modulus_force.png');


%% force displacement in time

%% Plot

p=figure;
yyaxis left
plot(C1(:,3),C1(:,5),'r:', 'linewidth', 1.2);
ylabel('Force [kN]');
set(gca,'ycolor','r');
hold on

yyaxis right
plot(C1(:,3),C1(:,11),'b:', 'linewidth', 1.2);
ylabel('displacement [\mum]');
set(gca,'ycolor','b');

xlabel('Time (s)');
title('NHL 3.5');
grid on
set(gca,'FontSize',16)
%xlim([0,35000/60]);
%saveas(p,'NHL_force-control exp.png');
%%
E_calc_1=meanEmod(E1,C1(:,5));
E_calc_2=meanEmod(E2,C2(:,5));
E_calc_3=meanEmod(E3,C3(:,5));
E_calc_4=meanEmod(E4,C4(:,5));
E_calc_5=meanEmod(E5,C5(:,5));
E_calc_6=meanEmod(E6,C6(:,5));
E_calc_7=meanEmod(E7,C7(:,5));
E_calc_8=meanEmod(E8,C8(:,5));
E_calc_9=meanEmod(E9,C9(:,5));


E_control(1,1)=(E_calc_1(1)*E_calc_1(3)+E_calc_2(1)*E_calc_2(3)+E_calc_3(1)*E_calc_3(3))/(E_calc_1(3)+E_calc_2(3)+E_calc_3(3)) %Weighted mean
E_control(1,2)=sqrt((E_calc_1(2)^2*(E_calc_1(3)-1)+E_calc_2(2)^2*(E_calc_1(3)-1)+E_calc_3(2)^2*(E_calc_3(3)-1))/(E_calc_1(3)+E_calc_2(3)+E_calc_3(3)-3)); %std deviation weighted

E_0p1(1,1)=(E_calc_4(1)*E_calc_4(3)+E_calc_5(1)*E_calc_5(3)+E_calc_6(1)*E_calc_6(3))/(E_calc_4(3)+E_calc_5(3)+E_calc_6(3)) %Weighted mean
E_0p1(1,2)=sqrt((E_calc_4(2)^2*(E_calc_4(3)-1)+E_calc_5(2)^2*(E_calc_5(3)-1)+E_calc_6(2)^2*(E_calc_6(3)-1))/(E_calc_4(3)+E_calc_5(3)+E_calc_6(3)-3)); %std deviation weighted

E_1p0(1,1)=(E_calc_7(1)*E_calc_7(3)+E_calc_8(1)*E_calc_8(3)+E_calc_9(1)*E_calc_9(3))/(E_calc_7(3)+E_calc_8(3)+E_calc_9(3)) %Weighted mean
E_1p0(1,2)=sqrt((E_calc_7(2)^2*(E_calc_7(3)-1)+E_calc_8(2)^2*(E_calc_8(3)-1)+E_calc_9(2)^2*(E_calc_9(3)-1))/(E_calc_7(3)+E_calc_8(3)+E_calc_9(3)-3)); %std deviation weighted


function E_calc=meanEmod(E_data,C)

Index1=find(C<=-2);
E_calc(1)=mean(E_data(Index1));
E_calc(2)=std(E_data(Index1));
E_calc(3)=length(E_data);
end
